How can I get the app?


There are Apple and Android versions of KnowAsYouGo. The Apple version needs iOS 8.1 or above and the Android version 4.1 or above.

KnowAsYouGo for Apple

KnowAsYouGo for Android


< back to Help